Subject: Re: [nfsv4] I-D Action: draft-ietf-nfsv4-mv1-msns-update-02.txt

From: David Noveck <[email-masked]>
Date: Wed, 7 Nov 2018 11:15:23 -0500

This is an update regarding plans for draft-ietf-nfsv4-mv1-msns-update-03.
 Even though there have not been any
working group comments about -02 yet, there will be a -03 and my intention
is to request WGLC on that version.   The changes being made to -03 are to
parallel the changes that Chuck made in
draft-ietf-nfsv4-mv0-trunking-update-02, prompted by Spencer D's review
comments on -01.   The intention is to keep the v4.0 and v4.1 documents in
agreement on format and terminology.   The review comments were helpful for
the v4.1 document as they were for the v4.0 document.

As previously indicated, I am able to receive and address working group
comments on the -02 of the mv1 document through 11/11.  My tentative date
for submission of -03 is 11/13.   I'm willing to delay to accomodate issues
that people think are important.   However, minor changes/issues could be
addressed during WGLC, so there is no urgency about getting every last
issue addressed by 11/11.

On Sun, Oct 21, 2018 at 8:07 AM David Noveck <[email-masked]> wrote:

> This draft addresses the issues that have come up during discussion of -01:
>
>    - Rick Maclem's issues regardinhg the lack of clarity in the
>    description of RECLAIM_COMPLETE (the problem being that the the
>    rca_one_fs=TRUE case was treated as a step-child) needed to be dealt with.
>    Also the consequences of the resulting confusion needed to be addressed.
>    - The issues that Chuck passed  on regarding the handling of specfic
>    fields in fs_locations_info (whther the data described the replica or the
>    specfic network access path(s) in the location entry) needed to be dealt
>    with.  As a result, I decided to clarify this question for
>    fs_locations_info as a whole.
>
> Normally, the fact that -01 has been available for a substantial time, and
> that thse two issues were all that needed to be addressed would cause me to
> request WGLC for this version.   However, given the size of the textual
> changes to address these two issues (diffs over a thousand lines), I've
> decided to give the working group a bit more time to look at these changes
> and make sure they are OK going forward.
>
> As a result my plan for this document going forward is as follows:
>
>    - I'll give the working group three weeks to examine the changes made
>    in -02.
>    - If there are comments that need to be addressed but no blocking
>    issues arise between now and 11/11, I'll produce a -03 that addresses these
>    comments and request WGLC on that version.
>    - If there are no comments that need to be addressed by that time,
>    I'll request WGLC on -02.
>
> If we do start WGLC in the first few week of November, WGLC should end by
> the end of the year, even making all possible allowance for difficulties
> caused by the holiday season.   This should enable the target date of March
> 2019 for final submission to be met without difficulty.
>
>
> ---------- Forwarded message ---------
> From: <[email-masked]>
> Date: Sun, Oct 21, 2018 at 7:35 AM
> Subject: [nfsv4] I-D Action: draft-ietf-nfsv4-mv1-msns-update-02.txt
> To: <[email-masked]>
> Cc: <[email-masked]>
>
>
>
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> This draft is a work item of the Network File System Version 4 WG of the
> IETF.
>
>         Title           : NFS Version 4.1 Update for Multi-Server Namespace
>         Authors         : David Noveck
>                           Charles Lever
>         Filename        : draft-ietf-nfsv4-mv1-msns-update-02.txt
>         Pages           : 99
>         Date            : 2018-10-21
>
> Abstract:
>    This document presents necessary clarifications and corrections
>    concerning features related to the use of location-related attributes
>    in NFSv4.1.  These include migration, which transfers responsibility
>    for a file system from one server to another, and facilities to
>    support trunking by allowing discovery of the set of network
>    addresses to use to access a file system.  This document updates
>    RFC5661.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-nfsv4-mv1-msns-update/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-nfsv4-mv1-msns-update-02
> https://datatracker.ietf.org/doc/html/draft-ietf-nfsv4-mv1-msns-update-02
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-nfsv4-mv1-msns-update-02
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/nfsv4
>